<?php

    include("../../classes/database.class.php");
    include("../../classes/tipoUsuarioModel.class.php");
    include("../../classes/tipoUsuarioController.class.php");
    
    $idTipoUsuario = $_POST["idTipoUsuario"];
    $nome = $_POST["nome"];
    $nota = $_POST["nota"];

    if($nome == ""){
        $nome = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new TipoUsuarioController($nome, $nota);
    $rows = $modelo->updateTipoUsuario($idTipoUsuario);

   echo json_encode($rows);